DBINOM(3)

SYNOPSIS
DOUBLE PRECISION FUNCTION DBINOM (N, M)

NAME
dbinom - Compute the binomial coefficients.

LIBRARY
SLATEC (FNLIB)

CATEGORY
C1

TYPE
DOUBLE PRECISION (BINOM-S, DBINOM-D)

KEYWORDS
BINOMIAL COEFFICIENTS, FNLIB, SPECIAL FUNCTIONS

AUTHOR
Fullerton, W., (LANL)

DESCRIPTION
DBINOM(N,M) calculates the double precision binomial coefficient for integer arguments N and M. The result is (N!)/((M!)(N-M)!).

REFERENCES
(NONE)

ROUTINES CALLED
D1MACH, D9LGMC, DLNREL, XERMSG

REVISION HISTORY (YYMMDD)
770601 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
890531 REVISION DATE from Version 3.2
891214 Prologue converted to Version 4.0 format. (BAB)
900315 CALLs to XERROR changed to CALLs to XERMSG. (THJ)